function love.load(arg)
  if arg and arg[#arg] == "-debug" then 
    require("mobdebug").start() 
  end
  addFonts()
  sWidth = 800 --Screen Width
  sHeight = 600 -- Screen Heigth
  love.graphics.setMode(sWidth, sHeight, false, false, 0)
  posX = 0
  posY = 0
  bgSpeed = .3
  textSpeed = 5
  bg = love.graphics.newImage("images/bg.png")
  bg:setWrap('repeat','repeat')
  textPos1 = sWidth
  textPos2 = 180
  scaleX = 0
  scaleY = 0
  
  waiting = true
  loadingTimer = 0
  
  width = love.graphics.getWidth()
  height = love.graphics.getHeight()
  x = 0
  y = 0
    
  imageWidth = bg:getWidth()
  imageHeight = bg:getHeight()
  
  imageFrame = love.graphics.newQuad(0, 0, width, height, imageWidth, imageHeight )
  
end


local function loveupdate(dt)
  --Horizontal (left to right) scrolling background
  --[[
  posX = posX + bgSpeed
  if posX >= sWidth then
    posX = 0
  end
  --]]
  
  --diagonal (left to right) scrolling background
  posX = posX + bgSpeed
  posY = posY - bgSpeed
  if posX >= imageHeight+imageWidth then
    posX = 0
    posY = 0
  end
  
  if textPos1 > (sWidth / 4) then
    textPos1 = textPos1 - textSpeed
  end
  
  if textPos1 <= (sWidth / 4) then
    scaleX = 1
    scaleY = 1
  end 
  loadingTimer = loadingTimer + dt
  if loadingTimer > 5 then
    waiting = false
  end
end

function addFonts()
  interfaceFont = love.graphics.newFont("fonts/RobinGraffitiFilledin.ttf", 100)
  love.graphics.setFont(interfaceFont)
end


function printBackground()
  --Diagonal scrolling background
  love.graphics.drawq(bg, imageFrame,posX, posY+sHeight) --bottom
  love.graphics.drawq(bg, imageFrame,posX, posY) --center
  love.graphics.drawq(bg, imageFrame,posX-sWidth, posY) --top left
  love.graphics.drawq(bg, imageFrame,posX-sWidth, posY+sHeight) --bottom left
 
  
  --Horizontal scrolling background
  --love.graphics.drawq(bg, imageFrame,posX - sWidth, posY)
  --love.graphics.drawq(bg, imageFrame,posX, posY)
end

function lovedraw()
 printBackground() 
 
 --outline text
 love.graphics.setColor(255,255,255,255)
 love.graphics.print("Stage 1", textPos1, sHeight / 4)
 
 
 love.graphics.setColor(255,255,150,255)
 love.graphics.scale(scaleX,scaleY)
 love.graphics.print(" Start!", textPos2, sHeight / 2.2)
 love.graphics.print(dt, 0, 0)

 
end

function love.update(dt) pcall(loveupdate) end
function love.draw() pcall(lovedraw) end
